namespace efl { 
inline ::efl::eolian::return_traits<bool>::type Image::smooth_scale_get() const
{
   Eina_Bool __return_value =  ::efl_image_smooth_scale_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Image::smooth_scale_set( ::efl::eolian::in_traits<bool>::type smooth_scale) const
{
    ::efl_image_smooth_scale_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(smooth_scale));
}
inline ::efl::eolian::return_traits<double>::type Image::ratio_get() const
{
   double __return_value =  ::efl_image_ratio_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Image::border_get( ::efl::eolian::out_traits<int>::type l,  ::efl::eolian::out_traits<int>::type r,  ::efl::eolian::out_traits<int>::type t,  ::efl::eolian::out_traits<int>::type b) const
{
   int __out_param_l = {};
   int __out_param_r = {};
   int __out_param_t = {};
   int __out_param_b = {};
    ::efl_image_border_get(this->_eo_ptr()
      , & __out_param_l
      , & __out_param_r
      , & __out_param_t
      , & __out_param_b);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(l, __out_param_l);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(r, __out_param_r);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(t, __out_param_t);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(b, __out_param_b);
}
inline ::efl::eolian::return_traits<void>::type Image::border_set( ::efl::eolian::in_traits<int>::type l,  ::efl::eolian::in_traits<int>::type r,  ::efl::eolian::in_traits<int>::type t,  ::efl::eolian::in_traits<int>::type b) const
{
    ::efl_image_border_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(l)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(r)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(t)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(b));
}
inline ::efl::eolian::return_traits<double>::type Image::border_scale_get() const
{
   double __return_value =  ::efl_image_border_scale_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Image::border_scale_set( ::efl::eolian::in_traits<double>::type scale) const
{
    ::efl_image_border_scale_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(scale));
}
inline ::efl::eolian::return_traits<Efl_Gfx_Border_Fill_Mode>::type Image::border_center_fill_get() const
{
   Efl_Gfx_Border_Fill_Mode __return_value =  ::efl_image_border_center_fill_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Gfx_Border_Fill_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Image::border_center_fill_set( ::efl::eolian::in_traits<Efl_Gfx_Border_Fill_Mode>::type fill) const
{
    ::efl_image_border_center_fill_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Gfx_Border_Fill_Mode,  ::efl::eolian::in_traits<Efl_Gfx_Border_Fill_Mode>::type>(fill));
}
inline ::efl::eolian::return_traits<Efl_Image_Content_Hint>::type Image::content_hint_get() const
{
   Efl_Image_Content_Hint __return_value =  ::efl_image_content_hint_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Image_Content_Hint>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Image::content_hint_set( ::efl::eolian::in_traits<Efl_Image_Content_Hint>::type hint) const
{
    ::efl_image_content_hint_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Image_Content_Hint,  ::efl::eolian::in_traits<Efl_Image_Content_Hint>::type>(hint));
}
inline ::efl::eolian::return_traits<Efl_Image_Scale_Hint>::type Image::scale_hint_get() const
{
   Efl_Image_Scale_Hint __return_value =  ::efl_image_scale_hint_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Image_Scale_Hint>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Image::scale_hint_set( ::efl::eolian::in_traits<Efl_Image_Scale_Hint>::type hint) const
{
    ::efl_image_scale_hint_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Image_Scale_Hint,  ::efl::eolian::in_traits<Efl_Image_Scale_Hint>::type>(hint));
}
} 
namespace eo_cxx {
namespace efl { 
inline ::efl::eolian::return_traits<bool>::type Image::smooth_scale_get() const
{
   Eina_Bool __return_value =  ::efl_image_smooth_scale_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Image::smooth_scale_set( ::efl::eolian::in_traits<bool>::type smooth_scale) const
{
    ::efl_image_smooth_scale_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(smooth_scale));
}
inline ::efl::eolian::return_traits<double>::type Image::ratio_get() const
{
   double __return_value =  ::efl_image_ratio_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Image::border_get( ::efl::eolian::out_traits<int>::type l,  ::efl::eolian::out_traits<int>::type r,  ::efl::eolian::out_traits<int>::type t,  ::efl::eolian::out_traits<int>::type b) const
{
   int __out_param_l = {};
   int __out_param_r = {};
   int __out_param_t = {};
   int __out_param_b = {};
    ::efl_image_border_get(this->_eo_ptr()
      , & __out_param_l
      , & __out_param_r
      , & __out_param_t
      , & __out_param_b);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(l, __out_param_l);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(r, __out_param_r);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(t, __out_param_t);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(b, __out_param_b);
}
inline ::efl::eolian::return_traits<void>::type Image::border_set( ::efl::eolian::in_traits<int>::type l,  ::efl::eolian::in_traits<int>::type r,  ::efl::eolian::in_traits<int>::type t,  ::efl::eolian::in_traits<int>::type b) const
{
    ::efl_image_border_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(l)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(r)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(t)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(b));
}
inline ::efl::eolian::return_traits<double>::type Image::border_scale_get() const
{
   double __return_value =  ::efl_image_border_scale_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Image::border_scale_set( ::efl::eolian::in_traits<double>::type scale) const
{
    ::efl_image_border_scale_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(scale));
}
inline ::efl::eolian::return_traits<Efl_Gfx_Border_Fill_Mode>::type Image::border_center_fill_get() const
{
   Efl_Gfx_Border_Fill_Mode __return_value =  ::efl_image_border_center_fill_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Gfx_Border_Fill_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Image::border_center_fill_set( ::efl::eolian::in_traits<Efl_Gfx_Border_Fill_Mode>::type fill) const
{
    ::efl_image_border_center_fill_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Gfx_Border_Fill_Mode,  ::efl::eolian::in_traits<Efl_Gfx_Border_Fill_Mode>::type>(fill));
}
inline ::efl::eolian::return_traits<Efl_Image_Content_Hint>::type Image::content_hint_get() const
{
   Efl_Image_Content_Hint __return_value =  ::efl_image_content_hint_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Image_Content_Hint>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Image::content_hint_set( ::efl::eolian::in_traits<Efl_Image_Content_Hint>::type hint) const
{
    ::efl_image_content_hint_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Image_Content_Hint,  ::efl::eolian::in_traits<Efl_Image_Content_Hint>::type>(hint));
}
inline ::efl::eolian::return_traits<Efl_Image_Scale_Hint>::type Image::scale_hint_get() const
{
   Efl_Image_Scale_Hint __return_value =  ::efl_image_scale_hint_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Image_Scale_Hint>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Image::scale_hint_set( ::efl::eolian::in_traits<Efl_Image_Scale_Hint>::type hint) const
{
    ::efl_image_scale_hint_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Image_Scale_Hint,  ::efl::eolian::in_traits<Efl_Image_Scale_Hint>::type>(hint));
}
inline efl::Image::operator ::efl::Image() const { return *static_cast< ::efl::Image const*>(static_cast<void const*>(this)); }
inline efl::Image::operator ::efl::Image&() { return *static_cast< ::efl::Image*>(static_cast<void*>(this)); }
inline efl::Image::operator ::efl::Image const&() const { return *static_cast< ::efl::Image const*>(static_cast<void const*>(this)); }
} }

